## mycompiler.mytypereconstruction.typeassumption
Class CInstVarTypeAssumption

    java.lang.Object
      mycompiler.mytypereconstruction.typeassumption.CTypeAssumption
          mycompiler.mytypereconstruction.typeassumption.CInstVarTypeAssumption

All Implemented Interfaces:
  IHashSetElement

    public class CInstVarTypeAssumption

extends CTypeAssumption

Version:
  $Date: 2005/06/28 19:19:09 $
Author:
  Jörg Bäuerle

Field Summary

Fields inherited from class mycompiler.mytypereconstruction.typeassumption.CTypeAssumption
`m_AssumedType, m_ClassName, m_Identifier, m_LineNumber`

Constructor Summary
`CInstVarTypeAssumption(java.lang.String className, java.lang.String identifier, Type type, int lineNumber)`

Method Summary
`CInstVarTypeAssumption` `clone()`
`boolean` `equalsAssumption(CTypeAssumption assumption)` Author: Jörg Bäuerle
`CInstVarKey` `getHashSetKey()` Author: Jörg Bäuerle

Methods inherited from class mycompiler.mytypereconstruction.typeassumption.CTypeAssumption
`equals, getAssumedType, getClassName, getIdentifier, getLineNumber, isTyploseVariable, print, setAssumedType, setClassName, setIdentifier, setLineNumber, sub, sub, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CInstVarTypeAssumption

    public CInstVarTypeAssumption(java.lang.String className,
                                  java.lang.String identifier,
                                  Type type,
                                  int lineNumber)

Method Detail

### getHashSetKey

    public CInstVarKey getHashSetKey()

  Author: Jörg Bäuerle

  Specified by:
    `getHashSetKey` in interface `IHashSetElement`
  Specified by:
    `getHashSetKey` in class `CTypeAssumption`
  Returns:

### equalsAssumption

    public boolean equalsAssumption(CTypeAssumption assumption)

  Author: Jörg Bäuerle

  Specified by:
    `equalsAssumption` in class `CTypeAssumption`
  Parameters:
    `assumption` -
  Returns:

### clone

    public CInstVarTypeAssumption clone()

  Specified by:
    `clone` in class `CTypeAssumption`